Bug 12635 - [S60] SW-V: Browser: Bookmarks with an URL containing spaces do not work
: [S60] SW-V: Browser: Bookmarks with an URL containing spaces do not work
Status: CLOSED FIXED
: WebKit
New Bugs
: 420+
: S60 Emulator S60 3rd edition
: P2 Blocker
Assigned To:
: http://uljava.gjmptw.de:8080/midlets/...
:
:
:
  Show dependency treegraph
 
Reported: 2007-02-06 10:42 PST by
Modified: 2007-02-09 13:39 PST (History)


Attachments
3.1 patch - escape the url (1.58 KB, patch)
2007-02-06 10:47 PST, Sornalatha Rathnasamy
no flags Review Patch | Details | Formatted Diff | Diff
3.1 patch - escape the url (1.58 KB, patch)
2007-02-06 10:47 PST, Sornalatha Rathnasamy
no flags Review Patch | Details | Formatted Diff | Diff
3.2 patch - escape the url (1.47 KB, patch)
2007-02-06 10:49 PST, Sornalatha Rathnasamy
no flags Review Patch | Details | Formatted Diff | Diff
3.2 patch - escape the Url (1.60 KB, patch)
2007-02-06 10:59 PST, Sornalatha Rathnasamy
zalan: review-
Review Patch | Details | Formatted Diff | Diff
3.1 patch - escape Url (1.60 KB, patch)
2007-02-07 07:15 PST, Sornalatha Rathnasamy
zalan: review-
Review Patch | Details | Formatted Diff | Diff
3.2 patch - escape Url (1.81 KB, patch)
2007-02-07 07:16 PST, Sornalatha Rathnasamy
zalan: review-
Review Patch | Details | Formatted Diff | Diff
3.1 patch - Escape Url (1.57 KB, patch)
2007-02-07 07:41 PST, Sornalatha Rathnasamy
no flags Review Patch | Details | Formatted Diff | Diff
3.2 patch - Escape Url (1.77 KB, patch)
2007-02-07 07:42 PST, Sornalatha Rathnasamy
no flags Review Patch | Details | Formatted Diff | Diff
3.1 patch (1.38 KB, patch)
2007-02-07 08:02 PST, Sornalatha Rathnasamy
zalan: review+
Review Patch | Details | Formatted Diff | Diff
3.2 patch (1.58 KB, patch)
2007-02-07 08:03 PST, Sornalatha Rathnasamy
zalan: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-06 10:42:31 PST
ID:  EMGH-6XTG9Y 

Steps to reproduce:
1) Create a new bookmark and use the URL "http://uljava.gjmptw.de:8080/midlets/harmonized/JSR 226 - Scalable 2D/SVGStress/JSR226Midlet.jad"
2) Use the Bookmark and visit the site

Actual outcome:
1) Bookmark can be created
2) Browser tries to open the page but fails with "Web: no gateway reply"

Expected outcome:
1) Bookmark can be created
2) Browser accesses the URL and the process of Java Midlet install starts.
------- Comment #1 From 2007-02-06 10:47:18 PST -------
Created an attachment (id=12978) [details]
3.1 patch - escape the url
------- Comment #2 From 2007-02-06 10:47:18 PST -------
Created an attachment (id=12977) [details]
3.1 patch - escape the url
------- Comment #3 From 2007-02-06 10:49:07 PST -------
Created an attachment (id=12979) [details]
3.2 patch - escape the url
------- Comment #4 From 2007-02-06 10:59:14 PST -------
Created an attachment (id=12980) [details]
3.2 patch - escape the Url
------- Comment #5 From 2007-02-07 06:55:52 PST -------
(From update of attachment 12980 [details])
iUrl=EscapeUtils::EscapeEncodeL(aUrl, EscapeUtils::EEscapeNormal);
would just do.
------- Comment #6 From 2007-02-07 07:15:59 PST -------
Created an attachment (id=13001) [details]
3.1 patch - escape Url
------- Comment #7 From 2007-02-07 07:16:54 PST -------
Created an attachment (id=13002) [details]
3.2 patch - escape Url
------- Comment #8 From 2007-02-07 07:34:47 PST -------
(From update of attachment 13001 [details])
iUrl needs to be set to NULL before the allocation beacuse EscapeEncodeL could leave and then the CUrlRequestInfo::~CUrlRequestInfo would delete iUrl twice.

delete iUrl;
iUrl = NULL;
iUrl = EscapeUtils::EscapeEncodeL( aUrl, EscapeUtils::EEscapeNormal );

and please do not change the coding style
+void CUrlRequestInfo::SetUrlL( const TDesC& aUrl )
------- Comment #9 From 2007-02-07 07:35:19 PST -------
(From update of attachment 13002 [details])
see above
------- Comment #10 From 2007-02-07 07:41:38 PST -------
Created an attachment (id=13004) [details]
3.1 patch - Escape Url
------- Comment #11 From 2007-02-07 07:42:27 PST -------
Created an attachment (id=13005) [details]
3.2 patch - Escape Url
------- Comment #12 From 2007-02-07 08:02:47 PST -------
Created an attachment (id=13007) [details]
3.1 patch
------- Comment #13 From 2007-02-07 08:03:53 PST -------
Created an attachment (id=13008) [details]
3.2 patch
------- Comment #14 From 2007-02-07 08:04:52 PST -------
(From update of attachment 13007 [details])
r=me
------- Comment #15 From 2007-02-07 08:05:42 PST -------
(From update of attachment 13008 [details])
r=me
------- Comment #16 From 2007-02-07 08:16:06 PST -------
(In reply to comment #14)
> (From update of attachment 13007 [details] [edit])
> r=me
> 

Landed on 3.1 - r19464. Keeping open till it hits trunk.
------- Comment #17 From 2007-02-08 11:02:52 PST -------
landed on trunk - r19501. resolved.
------- Comment #18 From 2007-02-09 13:39:46 PST -------
Verified and Closed